{% extends "customers/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}

{% block title %}Vacaciones empleado{% endblock %}
{% block extra_head %}
<link rel="stylesheet" type="text/css" href="{% static 'theme/plugins/eonasdan-bootstrap-datetimepicker/build/css/bootstrap-datetimepicker.min.css' %}">
{% endblock %}

{% block page %}
{%if can_show_detail %}

<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item"><a href="{% url 'employee-list' %}">Empleados</a></li>
    <li class="breadcrumb-item active">Vacaciones</li>
</ol>
<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">Vacaciones <small>empleado</small></h1>
  <!-- end page-header -->


  <ul class="nav nav-pills mb-2">
		<li class="nav-item">
		  <a href="{% url 'employee-detail' pk=object.pk %}" class="nav-link">
			<span class="d-sm-none">General</span>
			<span class="d-sm-block d-none">General</span>
		  </a>
		</li>
		<li class="nav-item">
			<a href="#" class="nav-link">
			  <span class="d-sm-none">Documentos</span>
			  <span class="d-sm-block d-none">Documentos</span>
			</a>
		  </li>
		  <li class="nav-item">
			  <a href="{% url 'employee-services' pk=object.pk %}" class="nav-link">
				<span class="d-sm-none">Contratos</span>
				<span class="d-sm-block d-none">Contratos</span>
			  </a>
			</li>
			<li class="nav-item">
				<a href="{% url 'employee-payslips' pk=object.pk %}" class="nav-link">
				  <span class="d-sm-none">Liquidaciones</span>
				  <span class="d-sm-block d-none">Liquidaciones</span>
				</a>
			  </li>
		<li class="nav-item">
		  <a href="{% url 'employee-vacations' pk=object.pk %}" class="nav-link">
			<span class="d-sm-none">Vacaciones</span>
			<span class="d-sm-block d-none">Vacaciones</span>
		  </a>
		</li>
	  </ul>



<!-- begin row -->
<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
			  <h4 class="panel-title">Vacaciones</h4>
			  <div class="panel-heading-btn">
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			  </div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
					<a class="btn btn-success btn-sm pull-right" href="{% url 'employee-vacations-add' object.pk %}">Añadir</a>
	      <h3>Saldo Vacaciones: {{ object.vacation_days_balance }}</h3>
	  <table class="table">
	    <thead>
	      <tr>
		<th>Días ganados</th>
		<th>Días usados</th>
	      </tr>
	    </thead>
	    <tbody>
	      <tr>
		<td>{{ object.vacation_days_earned }}</td>
		<td>{{ object.vacation_days_used }}</td>
	      </tr>
	    </tbody>
	  </table>

	  <h4>Detalle vacaciones tomadas</h4>

	  <table class="table">
	    <thead>
	      <tr>
		<th>Fecha de inicio</th>
		<th>Fecha de término</th>
		<th>Observaciones</th>
	      </tr>
	    </thead>
	    <tbody>
	      {% for v in object.vacation_set.all %}
	      <tr>
		<td>{{ v.start_date }}</td>
		<td>{{ v.end_date }}</td>
		<td>{{ v.notes }}</td>
	      </tr>
	      {% endfor %}
	    </tbody>
	  </table>

	</div>
	<!-- end panel-body -->
	</div>
	<!-- end panel -->
	</div>
	</div>
	<!-- end row -->
	
	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
	<!-- end scroll to top btn -->
	{%else%}
<!-- begin page-header -->
<h1 class="page-header">  Empleado </h1>
<!-- end page-header -->
<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
<h4 class="alert-heading" style=" text-align: center;">No encontrado</h4>
<hr>
<h5 class="mb-0">Cambie de operador o vuelva al listado.</h5>
</div>
{% endif %}
	{% endblock %}
